"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TOURIST_APPID = exports.getWxCliCmd = exports.getDefaultWxCliPath = exports.WxmpError = void 0;
const toolbox_1 = require("@cloudbase/toolbox");
const os_1 = __importDefault(require("os"));
exports.WxmpError = {
    NO_LOGIN: '需要重新登录',
    INVALID_APPID: 'invalid appid',
};
function getDefaultWxCliPath() {
    const platform = os_1.default.platform();
    switch (platform) {
        case 'darwin': {
            return '/Applications/wechatwebdevtools.app/Contents/MacOS';
        }
        case 'win32': {
            return 'C:/Program Files (x86)/Tencent/微信web开发者工具';
        }
        default: {
            throw new toolbox_1.CloudBaseError(`暂不支持 ${platform} 平台！`);
        }
    }
}
exports.getDefaultWxCliPath = getDefaultWxCliPath;
function getWxCliCmd() {
    const platform = os_1.default.platform();
    switch (platform) {
        case 'darwin': {
            return './cli';
        }
        case 'win32': {
            return 'cli.bat';
        }
        default: {
            throw new toolbox_1.CloudBaseError(`暂不支持 ${platform} 平台！`);
        }
    }
}
exports.getWxCliCmd = getWxCliCmd;
exports.TOURIST_APPID = 'touristappid';
