import { KoaServer } from '../../common';
import { IBuildWedaApp } from '@cloudbase/lowcode-builder';
import { IBuildDataParams } from './interface';
export interface IPreviewInfo {
    port: number;
    wxDevtoolPath?: string;
    mode: 'prod' | 'debug';
}
interface ILocalCompsInfo {
    localCompsPath: string;
    debugAssetsPath: string;
}
export declare class PreviewService {
    protected info: IPreviewInfo;
    protected root: string;
    protected localCompsMap: Record<string, ILocalCompsInfo>;
    protected lastAppid?: string;
    constructor(info: IPreviewInfo);
    start(appid?: string): Promise<void>;
    setLocalCompsPath(name: string, localCompsPath: string, debugAssetsPath: string): Promise<void>;
    private runCommand;
    /**
     * 接入新版lowcode-builder
     * @param data
     */
    build(data: IBuildWedaApp): Promise<void>;
    /**
     * 组建lowcode-builder buildWedaApp入参
     * @param IBuildDataParams
     * @returns
     */
    getBuilderData({ mpAppId, resourceAppId, content, previewType, envId, }: IBuildDataParams): Promise<IBuildWedaApp>;
    /**
     * debug模式下需要重新处理dependiences的mpPkgUrl，并提供zip包
     * @param dependencies
     * @param mode
     * @param port
     * @returns
     */
    getDependenciesUrl(dependencies: Array<any>, mode: string, port: number): Promise<any[]>;
}
export declare function bindRouter(server: KoaServer, service: PreviewService): void;
export {};
//# sourceMappingURL=index.d.ts.map