import { CloudApiService } from '@cloudbase/toolbox';
import { GraceBuildService, IBuildCompsInfo } from '../graceBuild';
import type { ILcdsConfig } from '../graceBuild';
export interface IGracePublishCompsInfo extends IBuildCompsInfo {
    isAdmin: boolean;
}
export interface IPlatformInfo {
    alias: string;
    sourceAlias: string;
    sourcePath: string;
    sourceZippedFileName: string;
}
export declare class GracePublishService extends GraceBuildService {
    protected publishInfo: IGracePublishCompsInfo;
    protected cloudService: CloudApiService;
    private compsId?;
    protected lcdsConfig: ILcdsConfig;
    private privateApiMap;
    private pkgVersion;
    constructor(info: IGracePublishCompsInfo);
    protected getApiName(publicApiName: string): Promise<string>;
    publish(): Promise<void>;
    protected validateComps(): Promise<string>;
    private loadLcdsConfig;
    private setCloudCompsConfig;
    private uploadDistFiles;
    private uploadSrcFiles;
    private uploadIcon;
    private uploadFileToCos;
}
export declare function gracePublishComps(info: IGracePublishCompsInfo): Promise<void>;
//# sourceMappingURL=index.d.ts.map